{% extends 'base.html.twig' %}

{% block title %}Empresas{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <h3 class="col-10">Empresas</h3>
            <div class="col-2">
                <div class="row">
                    <button type="button" class="btn btn-success offset-6" data-toggle="modal"
                            data-target="#addEmpresaModal">
                         Adicionar
                    </button>
                </div>
            </div>
        </div>
        <hr>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">CNPJ</th>
                    <th scope="col">Nome Fantasia</th>
                    <th scope="col">Razão Social</th>
                    <th scope="col">Ações</th>
                </tr>
            </thead>
            <tbody id="empresas">
            </tbody>
        </table>
    </div>
    {{ include('@empresa/add_empresa_modal.html.twig') }}
{% endblock %}

{% block scripts %}
    <script type="application/javascript">
        let empresas = $('#empresas');
        let data = {};
        $.ajax({
            type: 'GET',
            url: '/api/empresas/',
            data: data,
            dataType: 'json',
            success: function (data) {
                let html = '';
                let row = 1;
                for(let empresa of data){
                    html+=`<tr>
                          <th scope="row">${row}</th>
                          <td>${empresa.cnpj}</td>
                          <td>${empresa.nome_fantasia}</td>
                          <td>${empresa.razao_social}</td>`;
                    html += `<td>
                            <a href="empresas/${empresa.id}"><i class="fas fa-edit"></i></a>
                            <i class="fas fa-trash" onclick="remove(${empresa.id})"></i>
                            </td>
                            </tr>`;
                    row++;
                }
                empresas.html(html);
            }
        });
        function remove(id){
            $.ajax({
                type: 'DELETE',
                url: `/api/empresas/${id}`,
                dataType: 'json',
                success: function () {
                    window.location.replace('http://localhost:8000/empresas');
                }
            });
        }
    </script>
{% endblock %}
